QU'EST-CE QUE DARWINPORTS

	DarwinPorts est une infrastructure permettant de compiler,
        d'installer et d'empacter un logiciel, similaire en termes de
        fonctionnalits  l'architecture des ports FreeBSD afin de
        maintenir une extensibilit future.

	DarwinPorts fonctionne et permet d'tre compil sur MacOS X 10.2
        (Darwin 6.0). Le systme est portable, est crit en TCL avec un set
        limit d'extensions TCL en C.

	Pour une documentation plus appronfondie sur l'architecture interne
        de ce systme de ports, reportez-vous au fichier base/docs/
        INTERNALS.

	Notez svp que l'architecture de DarwinPorts est compos de deux
        parties. "L'infrastructure de DarwinPorts", qui rside dans le
        sous-rpertoire base/ est le seul composant obligatoire du systme,
        et le rpertoire "dports" qui contient la description des logiciels
        ports. Le derniercomposant peut tre optionnel et peut tre
        rcupr sur  le net ou une copie locale peut galement tre
        utilise.
        Reportez-vous  la documentation sur /etc/ports/ sources.conf
        ci-dessous.

INSTALLATION

    tapes de l'installation :
	1. make
                Lancez 'make' pour compiler tout ce qui est ncessaire.
                Lors de l'installation de DarwinPorts sur FreeBSD, le
                groupe par dfaut  utiliser doit tre :
                'make DSTGRP=wheel' 

	2. sudo make install
		Lancez 'sudo make install' pour installer DarwinPorts
		sur votre systme. Encore, l'installation sur FreeBSD
                requiert que le groupe par dfaut doit tre :
                'sudo make install DSTGRP=wheel'

	3. [optionnel] ditez /etc/ports/ports.conf
		le fichier de conf "/etc/ports/ports.conf"
		dfinit la majeure partie des options de configuration de
		l'infrastructure de DarwinPorts si vous desirez changer les
		chemins et emplacements ou sonts stocks les donnes,
		changez les options suivantes:

		portdbpath - Spcifie la base o stocker les donnes
		spcifiques au systme de ports.

		prefix - Indique la base dans laquelle installer les ports

	3. ditez /etc/ports/sources.conf
		Le fichier /etc/ports/sources.conf liste l'emplacement des
		hirarchies des ports locale et distante. Assurez-vous bien
		d'ajouter une entre pour votre hirarchie locale des ports
		(normalement le rpertoire darwinports/dports)

    Tout le code TCL ncessaire sera compil et install comme indiqu ci-
    dessous:
	[Mac OS X] /System/Library/Tcl/8.3/darwinports1.0
	[FreeBSD] /usr/local/lib/tcl8.3/darwinports1.0
	 	- Librairie TCL permettant d'interagir avec le systme
                DarwinPorts

	PREFIX est situ par dfaut  /opt/local mais ce choix peut tre
	modifi via la commande make.
	Ligne affectant l'installant les composants suivants :

	$PREFIX/bin/port
		- Utilitaire cli pour la compilation de port
	$PREFIX/share/darwinports/
		- Librairies TCL internes du systme de ports

	Les fichiers suivants sont fournis en vue de la personnalisation
        du systme :

	/etc/defaults/ports.conf
	    - Rglages par dfaut des ports pour tout le systme
	/etc/ports/ports.conf
	    - Rglages personnels des ports pour l'utilisateur
	/etc/ports/sources.conf
	    - Liste des sources pour les ports (endroit o rcuprer les
	      donnes des ports)


UTILISATION DE LA COMMANDE 'PORT'

    Si vous ne l'avez dj fait, ajoutez /opt/local/bin  votre variable
    path (ou $PREFIX/bin si vous avez choisi d'installer DarwinPorts dans
    un autre emplacement). Si vous ne savez pas comment faire, ajoutez la
    ligne suivante dans votre fichier ~/.cshrc.

	set path=($path /opt/local/bin)

    Vos changements dans ~/.cshrc ne seront pris en compte que lorsque
    vous ouvrirez un nouveau shell.

    La commande suivante compilera et installera le port :

	port install <nom_du_port>

    Pour rechercher un port spcifique, essayez d'utiliser "port search" :

	port search vi

    Rfrez-vous  la page man de "port" pour une documentation plus
    complte sur cette commande.

    Il est galement possible d'effectuer des oprations, comme compiler
    ou rcuprer tous les ports du systme en utilisant la commande
    "portall". Elle prend les mmes arguments essentiels que la commande
    "port" mais opre de faon interactive sur chaque port dans dports/.
    Lorsque vous effectuez un "make clean" depuis ce rpertoire, par
    exemple, un "portall clean" est galement invoqu pour nettoyer
    compltement.

CRER DE NOUVEAUX PORTS

    Un port consiste en un rpertoire contenant un fichier Portfile et ses
    fichiers associs. Actuellement les seuls fichiers livrs avec un port
    sont les patchs, et sont au minimum censs tre gards.

    Un fichier Portfile consiste en un code TCL valide, valu par un
    interprteur de DarwinPorts. Les fichiers Portfiles utilisent une
    syntaxe trs stricte compose de paires de type cl/valeur, permettant
    d'autoriser  l'auteur l'utilisation complte des fonctionnalits
    offertes par TCL lorsque cela lui est ncessaire.

    Pour commencer reportez-vous au fichier doc/exampleport et la page man
    de portfile(7).
